# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

from ionas.request import XmlConfNode as Node


def node_to_dict(_node):
    _dict = {}
    _dict['unc'] = _node.get_value('unc')
    _dict['username'] = _node.get_value('username')
    _dict['password'] = _node.get_value('password')
    return _dict

def dict_to_node(_dict, tagname):
    _node = Node(tagname)
    _node.append_child('unc', text=_dict['unc'])
    _node.append_child('username', text=_dict['username'])
    _node.append_child('password', text=_dict['password'])
    return _node
